View Issue Details

IDProjectCategoryView StatusLast Update
0006394MediaMonkey (current)Properties/Auto-Toolspublic2010-12-23 22:47
Reporterjiri 
PriorityurgentSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version4.0 
Target VersionFixed in Version4.0 
Summary0006394: Automatic generation of video thumbnails
DescriptionIn order to have something to show for videos without any album art (usually DVD cover) assigned, we will need to retrieve video thumbnails based on video content. This is already implemented, we just need to add the background process that would scan users videos.

The should be an option in Options dialog like:
 [x] Automatically retrieve Video Thumbnails from Videos {Rusty to clean up wording}

(Note that later we could also add some similar options for automatic retrieval of Album Art for Music)
TagsNo tags attached.
Fixed in build1317

Relationships

related to 0007052 closedpetr Automatically generated/retrieved metadata shouldn't be stored to a temp folder 
related to 0006435 closedLudek Add video properties 

Activities

jiri

2010-06-28 13:49

administrator   ~0020303

Technically, in order to not start too many threads for misc background processing, this would probably make most sense to merge with the volume leveling thread - so that while there are thumbnails to be generated, they are generated, when it's done, leveling is calculated.

petr

2010-08-11 01:05

developer   ~0020442

UI and generator thread are done. Assigning to Michal for revision on how to speed up thumb generating & eliminate some issues (e.g. there's a small fragment of sound from video when making a thumb).

michal

2010-08-12 13:05

developer   ~0020447

Known issues with thumb generation resolved, assigning back to Petr.

petr

2010-09-08 20:04

developer   ~0020497

Fixed in 1311

rusty

2010-10-15 02:10

administrator   ~0020778

Tested in 1316 and the functionality seems to work correctly (I'll enter a separate bug for how movies are displayed in the AA view).

The only changes I'd suggest are:
1) Change the config text to 'Generate thumbnails for videos' and leave it enabled by default.
2) Move the config to Options > Library (for now) . In order to get it to fit, move 'Default download location' to the General panel.

petr

2010-10-15 14:35

developer   ~0020780

Fixed in 1317

stephen_platt

2010-10-25 13:48

developer   ~0020960

verified 1318. The image is generated and displays in the art panel but doesn't show in the "Art with details" or "Art" view.